Android Studio Fehler: (8, 0) Plugin mit der ID ' Android ' nicht gefunden

? user927584 @ | Original: StackOverFlow
---

Ich habe Android Studio ( 0.6.1 ) auf OS X ( 10.9.3 ) und Gradle 1.1 installiert mit Brew ( Gebräu installieren gradle ) . Allerdings kann ich mein erstes Hallo Welt nicht bekommen ! Projekt ... Bitte helfen Sie mir dieses Problem zu lösen,

build.gradle:

    buildscript {
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:0.11.+'
    }
}

apply plugin: 'android'

repositories {
    mavenCentral()
}

android {
    compileSdkVersion 19
    buildToolsVersion '19.1'
    defaultConfig {}
    productFlavors {}
}

dependencies {
}

Error message:

Fehler: (8, 0) Plugin mit der ID ' Android ' nicht gefunden .

http://stackoverflow.com/questions/21646502/getting-build-failed-with-an-exception-android-studio-0-4-3-and-0-4-4 Post und Post http://stackoverflow.com/questions/18153739/android-studio-plugin-with-id-android-library-not-found das Problem nicht löst ...

http://stackoverflow.com/questions/18153739/android-studio-plugin-with-id-android-library-not-found gibt diese Fehlermeldung :

Fehler: Das Projekt wird über eine nicht unterstützte Version von Gradle . Sie Bitte   Version 1.10 verwenden . Bitte zeigen Sie auf eine unterstützte Version Gradle in der   Projekt Gradle Einstellungen oder in der Projekt Gradle Wrapper (wenn   anwendbar . ) Fix Gradle Wrapper und   Re-Import -Projekt Gradle Einstellungen

---

Top 5 Antwort

1pyus13 @

Es scheint, die Sie verpasst haben, android gradle Plugin Abhängigkeit in dependencies Block hinzufügen.

Ersetzen Sie den Abschnitt oben buildScript von diesem und synchronisieren Sie Ihr Projekt mit gradle

 buildscript {
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:0.11.+'
    }
 }

 apply plugin: 'android'

 android {
      compileSdkVersion 19
      buildToolsVersion '19.1.0'
      defaultConfig {
          applicationId 'YOUR_APP_PACKAGE'
          minSdkVersion 9
          targetSdkVersion 17
      }
      buildTypes {
          release {
            runProguard false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
          }
      }
      productFlavors {   }
  }

  dependencies {

   }
2sherin @

build.gradle Datei in meinem "app " -Ordner : PFAD: /home/work/ProjectName/app/build.gradle

android {
     compileSdkVersion 19
     buildToolsVersion '19.1.0'

defaultConfig {
    minSdkVersion 11
    targetSdkVersion 19
    versionCode 1
    versionName '1.0'
}


 dependencies {
  compile 'com.android.support:support-v4:18.0.0'
  compile 'com.android.support:appcompat-v7:+'

 }
}

build.gradle Datei außerhalb meines "app " -Ordner : PFAD: /home/work/ProjectName/build.gradle

buildscript {
repositories {
    mavenCentral()
}
dependencies {
    classpath 'com.android.tools.build:gradle:0.11.+'
}
}

allprojects {
repositories {
    mavenCentral()
}
}

Hinweis nach all den Update synchronisieren Sie Ihr Projekt mit gradle Datei

3Bao Le @

Setzen Sie den Code unten in build.gradle Datei von Haupt Anwendung und synchronisieren Sie sie .

buildscript {
    repositories {
        mavenCentral()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:1.0.0'
    }
}

allprojects {
    repositories {
        mavenCentral()
    }
}

Credits zum http://stackoverflow.com/questions/24204436/error1-0-plugin-with-id-android-not-found/26114190#26114190